Subject: bug#16053: [PATCH 1/2] "-Wall -Wextra -Werror" compilation patches - part 1/2

From: Phillip Susi <[email-masked]>
Date: Mon, 16 Dec 2013 09:17:31 -0500

On 12/15/2013 11:39 PM, Doron Tsur wrote:
> It should allow users to check new code and possible grub extension
> in a pedantic manner easily.

If you want to compile new code with -Wextra, that could be a nice
check I suppose, but I don't think the whole code base needs to
compile with -Wextra + -Werror, especially if it means making the code
less readable.  I believe the reason there is a -Wextra is because
those warnings are considered so silly and annoying to code around
that they aren't wanted for -Wall -Werror.